from setuptools import setup, find_packages

setup(
    name='dataannotation',  # Replace with your package name
    version='0.1.0',  # Initial version
    packages=find_packages(),  # Automatically discover packages
    install_requires=[  # Dependencies
        'numpy',  # Example dependency
    ],
    entry_points={  # Optional, for command line interfaces
        'console_scripts': [
            'my_command=my_package.my_module:main',  # Replace with your module and function
        ],
    },
    author='Your Name',
    author_email='waqasmansoor47@example.com',
    description='A short description of your package.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/waqasmansoor/my_project',  # Replace with your project URL
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',  # Specify Python version requirements
)